Package de.gebit.integrity.remoting

## Interface IntegrityRemotingConstants

-     public interface IntegrityRemotingConstants

  Some constant values used by the remoting client and server.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BUILD_VERSION` | The build part of the remoting client/server version.
    `static int` | `DEFAULT_PORT` | The default port number.
    `static int` | `MAJOR_PROTOCOL_VERSION` | The major part of the protocol version.
    `static int` | `MAJOR_VERSION` | The major part of the remoting client/server version.
    `static int` | `MINOR_PROTOCOL_VERSION` | The minor part of the protocol version.
    `static int` | `MINOR_VERSION` | The minor part of the remoting client/server version.
    `static int` | `PATCH_VERSION` | The patch part of the remoting client/server version.

- - ### Field Detail

    - #### MAJOR_PROTOCOL_VERSION

          static final int MAJOR_PROTOCOL_VERSION

      The major part of the protocol version. Major version changes mandate an incompatibility to other major versions.
      See Also:
        Constant Field Values

    - #### MINOR_PROTOCOL_VERSION

          static final int MINOR_PROTOCOL_VERSION

      The minor part of the protocol version.
      See Also:
        Constant Field Values

    - #### MAJOR_VERSION

          static final int MAJOR_VERSION

      The major part of the remoting client/server version.
      See Also:
        Constant Field Values

    - #### MINOR_VERSION

          static final int MINOR_VERSION

      The minor part of the remoting client/server version.
      See Also:
        Constant Field Values

    - #### PATCH_VERSION

          static final int PATCH_VERSION

      The patch part of the remoting client/server version.
      See Also:
        Constant Field Values

    - #### BUILD_VERSION

          static final int BUILD_VERSION

      The build part of the remoting client/server version.
      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          static final int DEFAULT_PORT

      The default port number.
      See Also:
        Constant Field Values